Subject: Fw: IESG Statement: Normative and Informative References

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 20 Apr 2006 01:18:05 +0100

Hi,

Good advice from the IESG on how to classify your references in I-Ds.

Adrian
----- Original Message ----- 
From: "IESG Secretary" <[email-masked]>
To: "IETF Announcement list" <[email-masked]>
Sent: Wednesday, April 19, 2006 2:50 PM
Subject: IESG Statement: Normative and Informative References

> Normative and Informative References
>
> Nearly all RFCs contain citations to other documents, and these are
> listed in a References section near the end of the RFC. There are many
> styles for references, and the RFCs have one of their own. Please
> follow the reference style used in recent RFCs. Please note that for
> documents that have been assigned an STD or BCP number, the number must
> be included in the reference.
>
> Within an RFC, references to other documents fall into two general
> categories: "normative" and "informative". Normative references specify
> documents that must be read to understand or implement the technology
> in the new RFC, or whose technology must be present for the technology
> in the new RFC to work. An informative reference is not normative;
> rather, it only provides additional information. For example, an
> informative reference might provide background or historical
> information. Informative references are not required to implement the
> technology in the RFC.
>
> Note 1: Even references that are relevant only for optional features
> must be classified as normative if they meet the above conditions for
> normative references.
>
> Note 2: It is not considered necessary to cite basic specifications
> that may be safely assumed to be known to practitioners (for example,
> RFC 791 need not be cited in every specification that mentions IPv4).
>
> Note 3: The normative/informative distinction is relevant in
> any document that amounts to a technical specification, even
> if its intended status is Experimental or Informational.
>
> Note 4: Normative references in RFCs cannot be to "work in progress"
> documents such as Internet Drafts. Drafts with such references will
> not be published as RFCs until the references are also published.
>
> The distinction between normative and informative references is often
> important. The IETF standards process according to RFC 2026 and RFC
3967,
> and the RFC Editor publication process, both need to know whether a
> reference to a work in progress is normative. An RFC cannot be published
> until all of the documents that it lists as normative references have
been
> published. In practice, this often results in the simultaneous
publication
> of a group of interrelated RFCs.
>
> For these reasons, the IESG and the RFC Editor have established
> guidelines that will request separate reference lists for normative
> and informative references in Internet Drafts and RFCs. For example,
> if both types are present, there would be two reference subsections,
> numbered s.1 and s.2 for example:
>
> s.1. Normative References
>
> xxx
> ...
> xxx
>
> s.2. Informative References
>
> xxx
> ...
> xxx
>
> Of course, if there is only one type of reference, only one
> section is needed.
>
> The IESG
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce
>
>